Subject: Re: boot time scheduling while atomic

From: Takeharu KATO <[email-masked]>
Date: Sat, 12 Mar 2005 07:21:51 +0900

Hi

> 
> I came to the same idea. This explains as well why the i386 party does
> not notice the effect, as their first interrupt happen later (different
> HZ value)
> 

FYI, i386 party's kernel_thread function calls do_fork directly, 
however, do_fork is called via syscall trap(clone syscall) in powerpc.
So, this difference may be taken place.

IMHO, from this point of view, the real fix for this problem is change 
the way to implement kernel_thread function of PowerPC like as other 
architecture does.

Regards,

-- 
Takeharu KATO